/**
 * Detect a file path is module or not.
 * @function _isModule
 * @private
 */

'use strict'

/** @lends _isModule */
function _isModule (name) {
  try {
    return !!require.resolve(name)
  } catch (e) {
    return false
  }
}
module.exports = _isModule
